package dk.itu.mario.level.grammar;

public interface Clause {
	public Clause getSubClause(int index);
	public int getNumSubClauses();
	public boolean isChoice();
	public boolean isTerminal();
	public boolean isVariable();
	public Clause makeRandomChoice();
}